namespace InABox.Logikal
{
    public class LogikalElevationsResponse<TElevation> : LogikalResponse
        where TElevation : ILogikalElevation
    {
        public override LogikalMethod Method() => LogikalMethod.Elevations;

        public TElevation[] Elevations { get; set; }

        public override string ToString() => $"{Elevations?.Length ?? 0} Elevations found";
    }
}